Vagrant.configure(2) do |config|

	config.ssh.insert_key = false
	config.vm.box = "ubuntu/focal64"
	config.vm.hostname = "ubuntu-20.04-openjdk-11"
	config.vm.network "private_network", ip: "192.168.100.203"
	
	config.vm.provision "shell" do |shell|
		shell.path = "01-install-base-tools.sh"
	end
	config.vm.provision "shell" do |shell|
		shell.path = "02-install-git.sh"
	end
	config.vm.provision "shell" do |shell|
		shell.path = "03-install-openjdk-11.sh"
	end
	config.vm.provision "shell" do |shell|
		shell.path = "04-install-maven.sh"
	end
	
	config.vm.provider "virtualbox" do |vb|
		vb.customize ['modifyvm', :id, '--cpus', 2]
		vb.customize ['modifyvm', :id, '--memory', 2048]
	end
	
end